# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ActionAssignment Class Reference

Representation of STEP entity ActionAssignment
.

`#include <StepBasic_ActionAssignment.hxx>`

Inheritance diagram for StepBasic_ActionAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ActionAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_Action)&aAssignedAction)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_Action | AssignedAction () const
| Returns field AssignedAction .
Standard_EXPORT void | SetAssignedAction (const Handle(StepBasic_Action)&AssignedAction)
| Set field AssignedAction .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_Action | theAssignedAction

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ActionAssignment::StepBasic_ActionAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Action StepBasic_ActionAssignment::AssignedAction | ( |  | ) | const

Standard_EXPORT const StepBasic_ActionAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP203_Change, and StepAP203_StartWork.

Standard_EXPORT void StepBasic_ActionAssignment::Init | ( | const Handle(StepBasic_Action)& | aAssignedAction | ) |

Standard_EXPORT void StepBasic_ActionAssignment::SetAssignedAction | ( | const Handle(StepBasic_Action)& | AssignedAction | ) |

## Field Documentation

Handle_StepBasic_Action StepBasic_ActionAssignment::theAssignedAction `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ActionAssignment.hxx